#
# ~/.bashrc
#

# If not running interactively, don't do anything
[[ $- != *i* ]] && return

# alias ls='ls --color=auto'
PS1='\[\e[0;38;5;24m\][\[\e[0;38;5;24m\]$(ip route get 1.1.1.1 2>/dev/null | awk -F"src " '"'"'NR==1{split($2,a," ");print a[1]}'"'"')\[\e[0;38;5;46m\]:\[\e[0;38;5;208m\]\W\[\e[0;38;5;24m\]]\[\e[0;38;5;24m\]\$ \[\e[0m\]'

alias luamake=/home/oliver/sources/lua-language-server/3rd/luamake/luamake
alias l=lfcd
alias clip="xclip -selection clipboard"
alias phone="simple-mtpfs"
alias bell="paplay /usr/share/sounds/freedesktop/stereo/complete.oga"
alias useage="du -h -d 1 2> /dev/null | sort -h"
# For laptop multi-gpu offloading
alias nvidia_gpu="DRI_PRIME=1 __NV_PRIME_RENDER_OFFLOAD=1 __GLX_VENDOR_LIBRARY_NAME=nvidia"

export DENO_INSTALL="/home/oliver/.deno"
export PATH="$DENO_INSTALL/bin:$PATH"
export PATH="$HOME/.cargo/bin:$HOME/.local/bin/:$PATH"
export DOTNET_CLI_TELEMETRY_OPTOUT=1
export TORCH_CUDA_VERSION="cu117"
export LIBTORCH="/home/oliver/sources/libtorchcxx11"
export LD_LIBRARY_PATH="${LIBTORCH}/lib:$LD_LIBRARY_PATH"
export WINEPREFIX="$HOME/.wine/"
export DXVK_HUD="fps"
export EDITOR="nvim"

